Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Interfaces for accessibility support
Name:      	atk
Version:   	1.22.0
Release:   	1
License: 	GNU/GPL
URL:		ftp://ftp.gtk.org/pub/gtk/v2.8/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildPreReq: 	glib-devel
BuildRequires: 	gettext
BuildRequires: 	perl-XML-Parser

%description
The ATK library provides a set of interfaces for adding accessibility
support to applications and graphical user interface toolkits. By
supporting the ATK interfaces, an application or toolkit can be used
with tools such as screen readers, magnifiers, and alternative input
devices.

%package devel
Summary: 	System for layout and rendering of internationalized text.
Group: 		Development/Libraries
Requires: 	atk = %{PACKAGE_VERSION}
Requires: 	glib-devel
Requires: 	pkg-config

%description devel
The atk-devel package includes the static libraries, header files, and
developer docs for the atk package.

Install atk-devel if you want to develop programs which will use ATK.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q

%build
%configure --disable-gtk-doc
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall


%find_lang atk10

%files -f atk10.lang
%defattr(-, root, root)
%doc README AUTHORS COPYING ChangeLog
%{_libdir}/libatk*.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/libatk*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_datadir}/gtk-doc/
%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 1.22.0-1
- Version update
* Sat Jan 05 2008 Christian Metzen <metzench@ccux-linux.de> 1.20.0-2
- rebuild against glib 2.15.0
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 1.20.0-1
- Version update
* Sat Mar 17 2007 Christian Metzen <metzench@ccux-linux.de> 1.18.0-2
- clean buildchain
* Fri Mar 16 2007 Christian Metzen <metzench@ccux-linux.de> 1.18.0-1
- Version update
* Wed Nov 08 2006 Christian Metzen <metzench@ccux-linux.de> 1.12.3-2
- Version update, clean rebuild
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 1.12.3-1
- Version update
* Wed Aug 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.12.2-1
- Version Update
* Sat Jul 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.11.4-1
- Version Update
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.11.3-1
- Version Update
* Mon Jan 30 2006 Christian Wasem <wasem@ccux-linux.de> 1.11.0-1
- Version update
* Sun Sep 25 2005 Christian Metzen <metzench@ccux-linux.de> 1.10.3-1
- Version update
* Tue Aug 30 2005 Christian Metzen <metzench@ccux-linux.de> 1.10.1-2
- Moved some files, fixed url and requires
* Tue Aug 30 2005 Christian Wasem <wasem@ccux-linux.de> 1.10.1-1
- Update to Version 1.10.1, added more files to devel
* Mon Jan 10 2005 Christian Metzen <metzench@ccux-linux.de> 1.9.0-2
- Added glib 2.6.1 Dependencies
* Wed Jan 05 2005 Christian Metzen <metzench@ccux-linux.de> 1.9.0-1
- Update to Version 1.9.0
